-------
v2.41.9
-------

[mjr] Improve client error when auth server is unavailable (Bug #15077).
|+


-------
v2.41.8
-------

[mjr] Fix fatal error when exception is thrown from imap client (Bug # 15113).
|+


-------
v2.41.7
-------

[mjr] Fix various Array offset on null errors.


-------
v2.41.6
-------

[mjr] Don't update state if IMAP server goes away (Bug #15091).


-------
v2.41.5
-------

[mjr] Prevent invalid weekly recurrence values.
[mjr] Minor php 7.4 compatibility changes.


-------
v2.41.4
-------

[mjr] Remove GPLv2 Section 8 restrictions.


-------
v2.41.3
-------

[mjr] Fix issue causing initial sync of certain collections to fail (Bug
      #14987).


-------
v2.41.2
-------

[mjr] Fix issue causing formating to become broken when converting plain text
      emails to html.
[mjr] Update handling of birthday fields to reflect recent EAS client
      behaviors.


-------
v2.41.1
-------

[mjr] Improve PHP 7.3 compatibility.


-------
v2.41.0
-------

[mjr] Support for autodiscover.json


-------
v2.40.2
-------

[mjr] Don't let error in iCal throw a fatal error. (Bug #14955).


-------
v2.40.1
-------

[mjr] Prevent fatal error if TNEF data isn't decoded.


-------
v2.40.0
-------

[mjr] Improve support for TNEF attachments.


-------
v2.39.9
-------

[mjr] Fix returning update failures to the client.


-------
v2.39.8
-------

[mjr] Fix issue causing the loss of reply text in SMARTREPLY requests (Bug
      #14841).


-------
v2.39.7
-------

[mjr] Fix returning picture data in GAL responses.
[mjr] Improve support for Outlook mobile application.
[mjr] Support outputting OPAQUE wbxml data.
[mjr] Fix parsing of ResolveRecipients command when a picture is requested.


-------
v2.39.6
-------

[mjr] Fix PHP warning when categories is false.
[mjr] Prevent exception when fetching MIME part of an already vanished message.
[mjr] Honor MS-ASCAL 3.2.4.4 with respect to empty datetime values in
      appointments and exceptions.
[mjr] Return default dates as specified by MS-ASCAL when start or end times
      are omitted.


-------
v2.39.5
-------

[mjr] Improve handling of SEARCH command when target folder is not found.
[mjr] Improve handling of PING requests when folder state is gone.
[mjr] More workarounds for broken wbxml.


-------
v2.39.4
-------

[mjr] Fix subscribing to imap folder that already exists.


-------
v2.39.3
-------

[mjr] Attempt to be more forgiving to broken WBXML requests.


-------
v2.39.2
-------

[mjr] Fix PHP error due to null array value (Bug #14783).


-------
v2.39.1
-------

[mjr] Better handling of broken Idna address encoding.


-------
v2.39.0
-------

[mjr] Fix bug causing setting of the status of Out of Office messages from the
      server to client to fail in certain cases.
[mjr] Return appropriate status code when deleting a folder fails (Bug #14732).
[mjr] Fix broken handling of calendar attachments.


-------
v2.38.8
-------

[mjr] Prevent broken datetime strings from causing a fatal error (Bug #14682).


-------
v2.38.7
-------

[mjr] Fix undefined constant error (Bug #14671).


-------
v2.38.6
-------

[mjr] Improve support for android Gmail application (Bug #14655).


-------
v2.38.5
-------

[mjr] Fix undefined property warnings (Bug #14631).


-------
v2.38.4
-------

[mjr] Fix regression that caused S/MIME messages to appear invalid on device.


-------
v2.38.3
-------

[mjr] Readd timestamp to sync log entries.
[mjr] Catch leaked Horde_Idna_Exceptions from Horde_Mime.


-------
v2.38.2
-------

[mjr] Fix PHP error accessing logger during OPTIONS request (Bug #14601).


-------
v2.38.1
-------

[mjr] Fix error in synchronizing recurring tasks (Bug #14599).


-------
v2.38.0
-------

[mjr] Database compatibility improvements.
[mjr] Refactor logging to support streams and improve readability.
[jan] Fix MongoDB backend with mongodb extension.
[mjr] Add Horde_ActiveSync_Imap_EasMessageBuilder classes.
[mjr] Fix loading event file attachments on iOS.


-------
v2.37.4
-------

[mjr] Fix test issue on 32bit systems (Bug #14532).
[mjr] Improve handling of case when IMAP server returns invalid HIGHESTMODSEQ
      values (DVT - Daten-Verarbeitung-Tirol GmbH).


-------
v2.37.3
-------

[mjr] Fix regression in initial synchronization.


-------
v2.37.2
-------

[mjr] Attempt to work around IMAP servers that report broken HIGHESTMODSEQ
      values.


-------
v2.37.1
-------

[mjr] Prevent invalid UTF-8 text in address fields.


-------
v2.37.0
-------

[mjr] Add support for EAS 16 draft email sync.


-------
v2.36.0
-------

[mjr] Close database connections while sleeping during PING requests.
[mjr] Fix converting charset of subject and attachment names in certain cases
      (Bug #14457).
[mjr] Changes to support attachment sync support for Appointment objects.


-------
v2.35.0
-------

[mjr] Improved handling of task dates.
[mjr] Fix fatal error when handling email errors due to a typo (Bug #14398).


-------
v2.34.0
-------

[mjr] Prevent sending empty message objects.


-------
v2.33.3
-------

[mjr] Remove workaround for broken date headers.


-------
v2.33.2
-------

[mjr] Honor the LOG_DETAILED debug log setting even when data is contained in
      a stream.
[mjr] Birthday workaround fixes for BB10 (Bug #14375).
[mjr] Sanity check envelope date (Ticket #14381).


-------
v2.33.1
-------

[mjr] Remove debug output.


-------
v2.33.0
-------

[mjr] Improve performance in certain cases by updating collection syncstamps
      (Ticket #14368).
[mjr] Fix normalizing POOMCONTACTS:Birthday and other date fields for the
      "Nine" client.


-------
v2.32.0
-------

[mjr] Fix iOS version detection for some iOS devices.
[mjr] Work around broken iOS behavior of sending empty POOMCONTACTS:Picture
      tags (Bug #14361).


--------
v2.31.10
--------

[mjr] Support TLS encryption setting in Outlook autodiscovery responses.
[mjr] Fix mirroring client changes back to the client (Bug #14354).


-------
v2.31.9
-------

[mjr] Fix PHP error when handling a STATUS_FOLDERSYNC_REQUIRED.
[mjr] Protect against colliding synckeys.


-------
v2.31.8
-------

[mjr] Improve handling of when a client sends an incorrect synckey.


-------
v2.31.7
-------

[mjr] Work around BC break in PHP 5.5.10 with converting timezone abbreviations
      to full timezone names.


-------
v2.31.6
-------

[mjr] Fix the workaround for some versions of Outlook's broken behavior
      regarding moving email messages.
[mjr] Improve allday event handling in appointment objects (Bug #14278).


-------
v2.31.5
-------

[mjr] Improvements to ActiveSync SETTINGS_ACCOUNTS response data.
[mjr] Prevent mirroring back email category changes.


-------
v2.31.4
-------

[mjr] More fixes for allday exception events (Bug #14255).


-------
v2.31.3
-------

[mjr] Fix WBXML output when allday event exceptions have no starttime set (Bug
      #14255).
[mjr] Fix calculation of when to send MOREAVAILABLE tag.


-------
v2.31.2
-------

[mjr] Fix regression in handling all day events in EAS versions prior to 16.0.
[mjr] Fix undefined variable notices (Bug #14251).


-------
v2.31.1
-------

[mjr] Another fix for GHOSTED support on certain clients.


-------
v2.31.0
-------

[mjr] Fix possible leaking of Horde_Imap_Client Exceptions.
[mjr] Fix reversed logic in GHOSTED element handling.
[mjr] Changes for EAS 16.0 support.
[mjr] Fix error when attempting to rewrite previous syncstate.


-------
v2.30.6
-------

[mjr] Fix RECUR_YEARLY_DAY recurrences showing up every day.


-------
v2.30.5
-------

[mjr] Fix regression introduced by checking device remote wipe during PING
      requests.


-------
v2.30.4
-------

[mjr] Fix mailbox searches with non 7-bit characters.
[jan] Mark PHP 7 as supported.
[jan] Improve Oracle compatibility.


-------
v2.30.3
-------

[mjr] Allow global request window size limit to be overridden.
[mjr] Fix issue where global request window size was being reached prematurely.
[mjr] Fix potential fatal error due to incorrect exception name.


-------
v2.30.2
-------

[mjr] Fix issue that prevents new device being added if an entry exists in the
      device user table but not the device table (Bug #14147).
[mjr] OL2016 added to device multiplex settings.


-------
v2.30.1
-------

[mjr] Improved workaround for clients with broken picture tag handling.


-------
v2.30.0
-------

[mjr] Fix issue in sending email from client due to input stream not being
      seekable on some systems (Bug #13160).
[mjr] Work around bug in early versions of iOS that could cause a contact's
      picture to be removed on the server.
[mjr] Improved client and version detection, especially for iOS devices.
[mjr] Fixed bug that was causing SUPPORTED data to be overwritten.
[mjr] Change some ERR log level entries to WARN and some other small logging
      tweaks.


-------
v2.29.2
-------

[mjr] Don't take sub-parts of rfc822/message parts as attachments.
[mjr] Fix handling of meeting requests that contain no DTEND attribute.
[mjr] Fix parsing of SETTINGS request that was causing a harmless WBXML
      parsing error.


-------
v2.29.1
-------

[mjr] Explicitly request a FOLDERSYNC when backend id is not found.
[mjr] Fix corruption of base64 encoded text parts in certain cases (Bug
      #14092).


-------
v2.29.0
-------

[mjr] Work around bug in various versions of PHP 5.5 and 5.6 regarding
      base64-encode stream filters (Bug #14086).
[mjr] Fix issue where incorrect text/html part is choosen as the main body
      part.


-------
v2.28.6
-------

[mjr] Fix display of certain Multipart/Report messages, on certain clients.
[mjr] Improve handling of authentication/policy errors.
[mjr] Fix renaming email folder when using PostgreSQL state storage (Bug
      #14019, horde@albasoft.com).


-------
v2.28.5
-------

[mjr] Reduce memory usage during IMAP FETCH with very large mailboxes.
[mjr] Workaround broken CGI behavior of sending incorrect authentication
      headers.
[mjr] Fix issues with detecting changes in FILTERTYPE.
[mjr] Performance improvements during IMAP server change detection for
      CONDSTORE servers, especially during FILTERTYPE changes.


-------
v2.28.4
-------

[mjr] Fix issue when using REPLACEMIME feature of SENDMAIL and some other edge
      cases (Bug #13901).


-------
v2.28.3
-------

[mjr] Fix off by one error that could cause some errors in downstream client
      code.
[mjr] Fix detecting changes in email message "Flag" sent from certain clients.


-------
v2.28.2
-------

[mjr] Fix regression causing useless backend query.
[mjr] Fix bug causing changes to be sent as new messages, thus causing them to
      be ignored by most clients.
[mjr] Fix sending SMIME signed/encrypted mail when using streams.


-------
v2.28.1
-------

[mjr] Fix regression that could cause loss of mailbox sync.


-------
v2.28.0
-------

[mjr] Fix issue that could cause sending the same email to the client multiple
      times (Bug #13985).
[mjr] Performance and memory improvements, especially during initial sync to
      Outlook clients.


-------
v2.27.1
-------

[jan] Fix issues with certain locales like Turkish.


-------
v2.27.0
-------

[mjr] Fix issue where badly formed emails could cause out of memory error.
[mjr] Fix issue that could break sync if a badly formed email address could not
      be parsed.
[mjr] Fix PARTIAL SYNC handling when no COLLECTIONS are provided (Bug #13912).


-------
v2.26.1
-------

[mjr] Detect stock Android 5.0 multiplex settings.
[mjr] Fix broken sync due to clients that send badly formatted date strings.
[mjr] Fix fatal error when dealing with iTip replies from vTodo requests.


-------
v2.26.0
-------

[mjr] Return email search results in descending order by arrival date.
[mjr] Add HTCOne Mini to device detection and set multiplex ability
      accordingly.


-------
v2.25.0
-------

[mjr] Fix handling of PARTIAL and EMPTY sync requests in certain cases (Bug
      #13863).


-------
v2.24.1
-------

[mjr] Fix moving a mailbox to a new parent (Bug #13839).
[mjr] Always send the attachmentsenabled policy, even when it's the default
      value of 'enabled' (Bug #13827).


-------
v2.24.0
-------

[mjr] Improve handling of FILTERTYPE changes after initial SYNC (Bug #13781).
[mjr] Add Date header to emails sent from broken HTC clients (Bug #13784).


-------
v2.23.1
-------

[mjr] Add some more TRUNCATION related workarounds/fixes.
[mjr] Improve/fix support for handling OOF messages (Bug #13719).


-------
v2.23.0
-------

[mjr] Fix incorrect converting of HTML to plaintext causing incorrect
      truncation size.
[mjr] Fix BC break due to MessageBodyData improvements (Bug #13768).


-------
v2.22.0
-------

[mjr] Fix some WBXML parsing issues due to empty GET tags in SETTINGS requests.
[mjr] Decode RIGHTSMANAGEMENTINFORMATION nodes.
[mjr] Correctly implement BODYPART handling (Bug #13729).


-------
v2.21.0
-------

[mjr] Workaround some broken clients that send null content inside open/close
      tags instead of an empty tag (Bug #13719).
[mjr] Fix regression in detecting iTip requests (Bug #13739).
[mjr] Add support for clients that issue BODYPARTPREFERENCE options (Bug
      #13729).
[mjr] Fix handling POOMCALENDAR_UID values to prevent broken meeting request
      behavior.
[mjr] Fix handling of certain types of broken MIME messages (Bug #13728).


-------
v2.20.5
-------

[mjr] Fix issue that could cause broken sync when an email contains no text
      parts (Bug #13711).


-------
v2.20.4
-------

[mjr] Fix incorrect default values for BODYPREF TRUNCATIONSIZE values (Bug
      #13711).


-------
v2.20.3
-------

[mjr] Fix regression in sending MIME messages as a result of a FETCH operation
      (Bug #13714).
[mjr] Fix issue that could cause mime boundry strings to leak into the message
      body when the message contained only a single part.


-------
v2.20.2
-------

[mjr] Improvements and fixes to MIME truncation truncation handling.


-------
v2.20.1
-------

[mjr] Fix limiting To: field in email sent to ActiveSync clients.


-------
v2.20.0
-------

[mjr] Provisioning requirement is now set after the device object is obtained.
[mjr] Fix handling of MIME truncation in certain cases.
[mjr] Change the order various SYNC reply structures are sent to be more
      in-line with the spcification.
[mjr] Fix issue where sticky OPTIONS values were lost resulting in incorrect
      values for MIMESUPPORT and other values (Bug #12970).
[mjr] Added support for differentiating between S/MIME signed and S/MIME
      encrypted so the content-class property can be properly set (Bug
      #12970).


-------
v2.19.4
-------

[mjr] Fix adding new tasklists from EAS client (Bug #13642).
[mjr] Fix some issues related to synchronizing recurring tasks (Bug #13636).


-------
v2.19.3
-------

[mjr] Some fixes for POOMCONTACT date fields on Samsung Android clients.


-------
v2.19.2
-------

[mjr] Fix issue with returning proper RI cache data in certain cases.
[mjr] Added ability to sniff out Nine and Samsung Android clients.
[mjr] Improvements to the workaround for broken POOMCONTACTS date field
      behavior.


-------
v2.19.1
-------

[mjr] Fix handling of EAS categories containing spaces in the name.


-------
v2.19.0
-------

[mjr] Added Horde_ActiveSync_Rfc822::replaceMime().
[mjr] Added Horde_ActiveSync_Mime class.
[mjr] Added Horde_ActiveSync_Exception_EmailFatalFailure.


-------
v2.18.1
-------

[mjr] Fix issues with 8-bit characters in Subject header in some cases (Bug
      #13456).


-------
v2.18.0
-------

[mjr] Fix POOMTASKS_SUBORDINALDATE parsing (Bug #13461).
[mjr] Prevent folder cache from being overwritten (Bug #13273).
[mjr] Add Horde_ActiveSync_Imap_Adapter::emptyMailbox().
[mjr] Fix sending ItemSettings responses for EAS 14.1.


-------
v2.17.0
-------

[mjr] Add unofficial WindowsLive codepage extensions.
[mjr] Fix yearly recurrences appearing on incorrect day in certain cases.
[mjr] Add support for synchronizing user-defined IMAP flags as EAS Email
      categories.
[mjr] Prevent infinite loops due to broken clients sending invalid OPTIONS data
      (Bug #13405).
[mjr] Prevent fatal WBXML parsing error due to broken BlackBerry clients (Bug
      #13351).


--------
v2.16.11
--------

[mjr] Prevent another issue that could cause an error when attempting to update
      a non-existent state (Bug #13338).


--------
v2.16.10
--------

[mjr] Prevent error caused by attempting to update a non-existent state (Bug
      #13338).


-------
v2.16.9
-------

[mjr] Force multiplex contact collections for Outlook 2013.
[mjr] Fix issue sending email when the imap client throws an error when
      synchronizing the maillog (Bug #13276).


-------
v2.16.8
-------

[mjr] Fix issue related to clients with enabled SMS sync causing broken email
      deletion behavior.


-------
v2.16.7
-------

[mjr] Fix ignoring incoming SMS CHANGE commands.


-------
v2.16.6
-------

[mjr] Fix removing orphaned device entries (Bug #13277).


-------
v2.16.5
-------

[mjr] Prevent sending non-UTF8 data due to meeting response emails.
[mjr] Remove Horde::debug output.


-------
v2.16.4
-------

[mjr] Fix requesting remote wipe when using the MongoDB state driver.


-------
v2.16.3
-------

[mjr] Truly fix duplicate email in Outlook 2013 when moving/deleting messages.


-------
v2.16.2
-------

[mjr] Fix detecting forced multiplex values for Android 4.4.0 and greater (Bug
      #13199).
[mjr] Fix issue with renaming folders (Bug #13196).


-------
v2.16.1
-------

[mjr] Fix duplicate items in mailboxes after handling MOVEITEMS requests.


-------
v2.16.0
-------

[mjr] Allow saving just dirty deviceProperties, and not deviceInfo.
[mjr] Fix return status for SETTINGS_DEVICEINFORMATION requests (Bug #13191).
[mjr] Fix regression that could cause some clients to no longer sync.


-------
v2.15.1
-------

[mjr] Fix issue with clients that support EAS 12.1+ but still use PING commands
      that would cause the cached heartbeat interval to be cleared.
[mjr] Fix issue where the device managed heartbeat interval would be ignored
      during PING requests.


-------
v2.15.0
-------

[mjr] Fix issue that would cause a SYNC loop when changing FILTERTYPE in
      certain clients (Bug #13182).
[mjr] Fix regression with renaming email folders.
[mjr] Improve workarounds for certain clients that send broken authentication
      information (Bug #13184).
[jan] Add Hungarian translation (Andras Galos <galosa@netinform.hu>).
[jan] Make SQL state backend compatible with Oracle.


-------
v2.14.1
-------

[mjr] Improve detection of Android devices for the purposes of determining
      support for non-multiplexed collections.
[mjr] Prevent possible PING loop due to PING requests incorrectly containing
      collections that haven't had a SYNC issued yet.


-------
v2.14.0
-------

[mjr] Add Horde_ActiveSync_Rfc822::addStandardHeaders().


-------
v2.13.4
-------

[jan] Add Danish translation (Erling Preben Hansen <erling@eph.dk>).
[mjr] Support sending PRIMARYSMTPADDRESS in EAS 14.1 (Request #13062).
[mjr] Change the order of WBXML tags for Horde_ActiveSync_Message_Exception to
      make some older clients happy.
[mjr] Fix some cases where removing a device's state could cause a PING and/or
      SYNC loop on some older clients.


-------
v2.13.3
-------

[mjr] Fix regression that broke synchronization in clients that don't support
      EAS 14.1 (Bug #13038).
[jan] Optimize SQL query for garbage collection (hannes.brunssen@ewetel.de,
      Bug #13043).


-------
v2.13.2
-------

[mjr] Fix regression that could prevent stale sync requests to persist (Bug
      #13032).


-------
v2.13.1
-------

[mjr] Fix regression in sending non Mime encoded messages (Bug #13029).


-------
v2.13.0
-------

[mjr] More workarounds for PHP 65776, preventing segfaults for text attachments
      that contain inconsistent line endings.
[mjr] Rely on the IMAP adapter for returning accurate UID values after a
      message move (Bug #13010).
[mjr] Expose public Horde_ActiveSync_Utils::ensureUtf8() method.


-------
v2.12.4
-------

[mjr] Fix some issues caused by attempting to process iTip responses when
      saving to sent mail folder (Bug #12956).
[mjr] Work around issues with clients that crash when receiving an empty body
      element (Bug #12956).


-------
v2.12.3
-------

[mjr] Improve device property management and forced-multiplex detecection.
[mjr] Attempt a fix for clients that duplicate calendar entries when tags are
      received in a certain order (Bug #12741).
[mjr] Transparently handle moving from a non-MODSEQ IMAP server to a MODSEQ
      server (Thomas Jarosch <thomas.jarosch@intra2net.com>, Bug #12941).
[mjr] Fix handling of empty OPTIONS tags.


-------
v2.12.2
-------

[mjr] More fixes for handling meeting responses sent by Outlook (Bug #12934).


-------
v2.12.1
-------

[mjr] Fix some edge case issues that could cause issues in sending changes to
      the client.
[mjr] Fix handling MEETING_RESPONSE requests for certain broken clients (Bug
      #12934).


-------
v2.12.0
-------

[mjr] Add support for Recipient Information Cache collection.


-------
v2.11.0
-------

[mjr] Fix issue with synchronizing recurring event series exceptions due to
      missing properties in the exception object.
[mjr] Fixes to S/MIME support for issues that prevent the decrypting of S/MIME
      encrypted email on certain clients.
[mjr] Improve error handling when state is lost and device continues to request
      the same state despite being sent the proper status code.
[mjr] Fix returning device information from Mongo driver when multiple user
      accounts exist on the same device.
[mjr] Improve detection of devices that cannot support non-multiplexed
      collections.
[mjr] Add support for DocumentLibrary.
[mjr] Fix mailbox searching when number of results exceeds the requested RANGE
      value.


-------
v2.10.1
-------

[mjr] Fix issue where attachments are not downloaded in certain situations on
      EAS version 14+.


-------
v2.10.0
-------

[mjr] Some fixes for EAS 14.0/14.1 ITEMOPERATIONS request parsing. Fixes issues
      on some clients with broken email sync on Android 4.3 and 4.4.
[mjr] Fix issue that causes sync to break when SMS messages are deleted on the
      client (Bug #12887).
[mjr] Add support for parsing TNEF data when possible (Bug #12882).


------
v2.9.2
------

[mjr] Fix typo that was causing server side searching of mailboxes to fail
      (Bug #12882).
[mjr] Add workaround for inconsistent handling of POOMCONTACTS date fields that
      causes fields like birthdays to become offset.


------
v2.9.1
------

[mjr] Add ability to flag a specific device as blocked.
[mjr] Add ability to filter the list of devices on more than username.
[mjr] Attempt to recover old serialized data before forcing a repairing of
      Email collections.


------
v2.9.0
------

[mjr] Fix generating EAS folder uids for devices that can't tell the difference
      between a string and an integer.
[mjr] Changes to support multiple non-email collections of the same type.
[mjr] Improvements to memory and database usage.
[mjr] Add MongoDB state driver.


------
v2.8.5
------

[mjr] Improve performance related to conflict detection and change mirroring
      protection.


------
v2.8.4
------

[mjr] Return proper status codes when OOF is unavailable (Bug #12757).
[mjr] Fix fatal crash when conflict is detected (Thomas Jarosch
      <thomas.jarosch@intra2net.com>, Bug #12755)


------
v2.8.3
------

[mjr] Fix returning contact image in GAL search for those clients that support
      it.
[mjr] Fix GAL searching for clients that depend on SEARCH_RANGE values.
[mjr] Fix some authentication issues when certain clients issue broken
      AutoDiscover requests.
[mjr] Fix some minor issues with Autodiscover requests caught by unit testing.


------
v2.8.2
------

[mjr] Remove dependency on unreleased Horde_Stream code.


------
v2.8.1
------

[mjr] Work around for PHP bug 65776, preventing segfaults with certain emails.


------
v2.8.0
------

[mjr] Remove loop counter code that was incorrectly growing sync_cache data
      (Bug #12707).
[mjr] Ignore incoming SMS delete command. Prevents breaking sync on clients
      that send SMS data, even though we do not return it as an available
      collection.
[mjr] Prevent sending invalid UTF-8 data in the Subject header, which could
      break sync in some clients.
[mjr] Support for SOFTDELETE.


------
v2.7.3
------

[mjr] Fix possible infinite loop when a requested message is not found on the
      serer during a SYNC request.


------
v2.7.2
------

[mjr] Fix definition of SMIME_ENCRYPTED and DEVICE_ENCRYPTION policies.
[mjr] Always try to send up to WINDOW_SIZE changes, even if some messages had
      errors.
[mjr] Disable (broken) sync loop detection.


------
v2.7.1
------

[mjr] Allow authentication to still be attempted without an available password,
      allowing for the use of setups using client certificates.
[mjr] Fix detecting EAS version on clients that only support up to 14.0, and
      send the version encoded in compressed parameters.
[mjr] Fix OPTIONS, SYNC loop due to incorrect determination of when to send the
      MS-RP header.


------
v2.7.0
------

[mjr] Fix Wbxml output of SEARCH_TOTAL and SEARCH_RANGE values in SEARCH
      responses (Bug #12624).
[mjr] Allow reducing the amount of tag content that is logged to the Wbxml log.
[mjr] Fix broken wbxml in certain cases due to incorrect handling of encoding
      empty array values (Bug #12595).
[mjr] Detect IMAP message deletions on non-CONDSTORE servers during PING
      requests (Request #12597, Thomas Jarosch
      <thomas.jarosch@intra2net.com>).
[mjr] Do not initiate a looping SYNC if there were any incoming changes, this
      prevents an unnecessary backend ping for each collection.
[mjr] Fix issue that could cause message deletions on the server to not be
      trasmitted to the client if the message falls outside of the FILTER
      window and the IMAP server does not support CONDSTORE.
[mjr] Don't filter out messages flagged as DELETED during initial sync request.


------
v2.6.2
------

[mjr] Fix issue that could cause corrupt email attachment downloads on certain
      webservers due to PHP flushing the output buffer (Bug #12486).
[mjr] Output X-MS-RP header to advertise to clients that a more recent EAS
      version is supported on the server.
[mjr] Fix issue that could lead to email being duplicated on client due to
      incorrect Collection Type being detected for unsolicited SMS data (Bug
      #12544).
[mjr] Fix decoding EAS Timezone blobs on Big Endian systems.
[mjr] Fix race condition where changes may not be sent to the client due to a
      combination of a long running MOREAVAILABLE sync and server side
      changes.


------
v2.6.1
------

[mjr] Do not ask the IMAP server to fetch flags if we don't have an empty imap
      search result (Bug #12551).
[mjr] Fix typos that could cause some sync actions to fail (Bug #12548 and
      #12523, Thomas Jarosch <thomas.jarosch@intra2net.com>).
[mjr] Ensure proper failure codes are returned when a client addition fails to
      be added to the backend during a PARTIAL sync.


------
v2.6.0
------

[mjr] Fix obtaining the timestamp of the last successful sync when backend uses
      modification sequences (Bug #12529).
[mjr] Fix broken Email sync due to clients that send unsolicited SMS data (Bug
      #12544).
[mjr] Fix returning incorrect syncstamp when adding, editing, or deleting
      messages and backend uses modification sequences (Bug #12523).
[mjr] Fix bug that could cause a sync loop if history data is removed or a
      collection is empty and therefore has no history data (Bug #12531).


------
v2.5.6
------

[mjr] Fix filtering out changes due to incoming client email requests in
      certain cases.
[mjr] Send empty POOMMAIL_CATEGORIES tag as Exchange does.
[mjr] Fix sending deletion commands to clients when an item is created on one
      EAS client, but deleted on another EAS client.


------
v2.5.5
------

[mjr] Fix off by one error when checking WINDOWSIZE, which breaks syncing with
      clients that have broken WINDOWSIZE implementations (Bug #12443).


------
v2.5.4
------

[mjr] Fix bug that causes incorrect MIME truncation when the client requests no
      MIME truncation (Bug #12437).
[mjr] Fix returning proper values for the
      Horde_ActiveSync_Message_SendMail::replacemime property. The could cause
      replying to email with some EAS 14+ clients to fail.


------
v2.5.3
------

[mjr] Fix SmartReply/SmartForward commands when the client does not send Wbxml.
[mjr] Fix some fringe cases where client initiated message deletion may fail.
[mjr] Work around some broken behavior in Blackberry clients (Bug #12370).
[mjr] Fix regression that caused MEETINGRESPONSE requests to fail (Bug #12403).
[mjr] Fix ITEMOPERATIONS requests under 14.1.


------
v2.5.2
------


------
v2.5.1
------

[mjr] Fix issue the could cause sync to fail if an incorrectly formatted email
      date header is encountered.


------
v2.5.0
------

[mjr] Filter out email that falls outside of FILTERTYPE on CONDSTORE servers as
      well (Bug #12360).
[mjr] Fix detecting changes for servers without CONDSTORE and a non-zero
      FILTERTYPE (Bug #12316).
[mjr] Fix fetching email messages from search results using ITEMOPERATIONS
      command (Bug #12212).
[jan] Add Spanish translation (Manuel P. Ayala <mayala@unex.es>).
[mjr] Add support for SyncStamps - either timestamps or backend controlled
      modification sequences.


------
v2.4.0
------

[mjr] Fix some issues caused by broken non-mime part truncation.
[mjr] Fix handling MIMETRUNCATION for emails with attachments (Bug #12289).
[mjr] Fix missing email body data for certain clients (Bug #12203).
[mjr] Fix requesting email data via ITEMOPERATION command (Bug #12292).
[mjr] Fix a BC break that was causing FOLDERSYNC requests to f fail.


---------
v2.4.0RC2
---------

[mjr] Fixes for broken clients like the S3 that request SMS sync even when told
      there is no SMS collection.


---------
v2.4.0RC1
---------

[mjr] Fix issue that could cause some emails to be ignored when sending changes
      if the email has the same UID as another email from another collection
      synced in the same request.
[mjr] Fix issue that caused synching to fail due to COLLECTION_TYPE being sent
      in OPTIONS node in EAS 14+.
[mjr] Fix enforcing forced provisioning.
[mjr] Allow Outlook 2013 to connect even when provisioning is forced.


-----------
v2.4.0beta5
-----------

[mjr] Fix bug that caused S/MIME messages to always be marked read when
      synchronized.
[mjr] Rewrite hierarchy handling to allow for client renaming of folders.
[mjr] Fix saving sent mail in EAS >= 14 SENDMAIL requests.


-----------
v2.4.0beta4
-----------

[mjr] Improvements to synchronizing reply/forward state and maillog entries
      when using Outlook.
[mjr] Improvements and various fixes to detecting client originated changes.
[mjr] Fix numerous issues related to incoming changes with GETCHANGES
      explicitly set to false.
[mjr] Fix mirroring back changes when an object created on the client is edited
      on the same client within 1 sync cycle.


-----------
v2.4.0beta3
-----------

[mjr] Fix mirroring new entries created on certain clients back to the client.
[mjr] Fix creating new objects from Outlook clients.
[mjr] Fix setting incoming heartbeat value.
[mjr] Fix sending updated heartbeat interval when requested heartbeat is out
      of bounds.


-----------
v2.4.0beta2
-----------

[mjr] Fix building initial message state in certain cases for email collections
      when IMAP server does not support per mailbox MODSEQ values.
[mjr] Fix fatal error when using the deviceCallback functionality (Bug #12236).
[mjr] Fix creating/deleting mailboxes with non-empty default namespaces (Bug
      #12224).
[mjr] Fix non-BC change in abstract method signature.


-----------
v2.4.0beta1
-----------

[mjr] Flag changes will now trigger a positive PING/SYNC if the IMAP server
      supports per-mailbox MODSEQ and CONDSTORE.
[mjr] Add support for EAS 14.0 and 14.1 (see
      http://wiki.horde.org/ActiveSync/FeatureGrid for complete feature list).
[mjr] Fix synchronizing certain recurring tasks (Bug #12223,  Thomas Jarosch
      <thomas.jarosch@intra2net.com>)
[mjr] Fix issue that could cause some attachments to become corrupt on the
      client.


------
v2.3.6
------

[mjr] Fix returning message property values when the value is defined, but
      empty (Bug #12197).
[mjr] Fix saving IMAP folder state when CONDSTORE is available but no
      per-mailbox MODSEQ.
[mjr] Fix mail synch failure due to messages being deleted on server during
      initial synch.


------
v2.3.5
------

[mjr] Fix issue with importing messages due to bad merge (Bug #12185).


------
v2.3.4
------

[mjr] Fix typo that could cause device information to not be saved correctly.
[mjr] Fix authentication clean up during certain request types.


------
v2.3.3
------

[mjr] Work around broken HTC clients when creating appointments with no
      reminders (Bug #12155).
[mjr] Fix setting User Agent value for certain clients in EAS 12.1 or greater
      (Bug #12154).
[mjr] Properly set disposition and content-id properties when building
      attachments from multipart/related parts (Bug #12123).


------
v2.3.2
------

[mjr] Various improvements and code cleanup.
[mjr] Some fixes to GETITEMESTIMATE requests.
[mjr] Logging improvements.


------
v2.3.1
------

[mjr] Fix regression introduced in 2.2.1 caused by fix for Bug #12056.
[mjr] Fix synchronizing email messages containing ICalendar attachments with no
      METHOD parameter (Bug #12083).


------
v2.3.0
------

[mjr] Fix updating state when a PING detected changed has been removed before
      SYNC runs (Bug #12075).


------
v2.2.1
------

[mjr] Always output the optional POOMCAL_MEETINGSTATUS property to avoid issues
      with some versions of iOS (Bug #12056).


------
v2.2.0
------

[mjr] Fix handling of deleting or moving messages from the client that no
      longer exist on the server (Bug #12013).
[mjr] Fix setting flags on messages marked for deletion (Bug #12007).


------
v2.1.5
------

[jan] Add French translation (Paul De Vlieger
      <paul.de_vlieger@moniut.univ-bpclermont.fr>).


------
v2.1.4
------

[mjr] Fix existence checking, again.


------
v2.1.3
------

[mjr] Fix behavior when attempting to fetch attachment of a vanished message.
[mjr] Fix multiple accounts on a single client (Bug #11963).
[mjr] Fix setting PINGable collections on non-empty PING requests.


------
v2.1.2
------

[mjr] Fix handling missing state when processing COMMANDS.
[mjr] Fix loading state for FOLDERSYNC requests for certain clients.


------
v2.1.1
------

[mjr] Fix regression caused by fixing some logging in the sync cache.


------
v2.1.0
------

[mjr] Fix some possible character set related issues with HTML email.
[mjr] Fix sending boolean policy values.


-------
v2.0.14
-------

[mjr] Fix DB migration for some RDBMS (Bug #11877).
[mjr] Fix authentication related errors.


-------
v2.0.13
-------

[mjr] Fix regression caused by incorrectly named variable (martin.ament@gmx.de,
      Bug #11919)


-------
v2.0.12
-------

[mjr] Fix non empty PING requests with empty FOLDERS element.
[mjr] Fix exporting folder deletions (Bug #11918).
[mjr] Improvements to fetching and sending message body.
[mjr] Fix searching mailboxes on certain devices that send MIMESUPPORT flag,
      like iOS (Bug #11900).


-------
v2.0.11
-------

[mjr] Fix updating the read flag on iOS.
[jan] Add Basque translation (Ibon Igartua <ibon.igartua@ehu.es>).
[mjr] Set the importance flag on mail messages.
[mjr] Fix detecting mailbox changes on IMAP servers that support CONDSTORE but
      not per mailbox MODSEQ (Bug #11754).


-------
v2.0.10
-------

[mjr] Check for invalid UTF-8 data before sending to client.


------
v2.0.9
------

[mjr] Improve loop detection logic, preventing unnecessary state resets.
[mjr] Fix charset issues with certain broken emails which can cause iOS to
      crash.


------
v2.0.8
------

[mjr] Fix issue causing SYNC/PING loop in empty mail folders (Bug #11823).
[mjr] Fix importing message read flag (Bug #11741).
[mjr] Fix charset conversion of HTML messages when original body is plaintext
      (Bug #11745).
[mjr] Use integer column for message_uid field for IMAP messages (Bug #11742)


------
v2.0.7
------

[jan] Use binary column for serialized sync state (Bug #11743).
[jan] Fix boolean table columns (Bug #11742).
[mms] Use new Horde_Test layout.


------
v2.0.6
------

[jan] Add Dutch translation (Arjen de Korte <build+horde@de-korte.org>).
[mjr] Answer Microsoft Outlook Autodiscover requests (Request # 11639).


------
v2.0.5
------

[mjr] Fix fatal error due to abstract serialize methods.


------
v2.0.4
------

[mjr] Fix issue causing a loop during FETCH requests caused by the
      non-incrementing syncKey.
[mjr] Reduce number of IMAP server calls required when syncronizing email data.
[mjr] Fix issue causing iOS Mail to crash when receiving truncated body data.
[mjr] Improvements to detecting expunged messages.


------
v2.0.3
------

[mjr] Fix detecting mailbox changes on servers that don't return UIDNEXT data.
[mjr] Fix issue in detecting certain text attachments.


------
v2.0.2
------

[mjr] Increase size of cache_data field.
[mjr] Add more complete error and debug output when saving syncCache.
[mjr] Attempt to detect infinite sync loops caused by server side errors.


------
v2.0.1
------

[mjr] Fix moving/deleting messages on some devices.


------
v2.0.0
------

First stable release for Horde 5.


---------
v2.0.0RC1
---------


-----------
v2.0.0beta4
-----------

[mjr] Fix issue causing FOLDERSYNC to fail on postgres.
[mjr] Fix erroneous truncation of CC addresses (Bug #11446).


-----------
v2.0.0beta3
-----------

[mjr] SyncKey is no longer incremented when there are no imported or exported
      changes after the initial SYNC.
[mjr] No longer send unnecessary SYNC_COMMANDS tag.
[mjr] Build a proper nested folder hierarchy when appropriate.


-----------
v2.0.0beta2
-----------

[mjr] Properly send 401 responses in certain circumstances.
[mjr] Improvements to autoconfigure support.


-----------
v2.0.0beta1
-----------

First beta release for Horde 5.
[mjr] Fix some issues that were causing infinite loops on iOS
[jan] Fix finding locale directory if installed with PEAR.
[mjr] Fix issue where FILTERTYPE parameter was not being honored on some
      clients.


------------
v2.0.0alpha1
------------

First alpha release for Horde 5.
[mjr] Add support for ActiveSync native meeting requests and responses.
[mjr] Security policy support now allows for per user configuration.
[mjr] Add basic Autoconfigure support.
[mjr] Add EAS version 12.1 support.
[mjr] Add EAS version 12.0 support.
[mjr] Add email support.


------
v1.2.6
------

[jan] Fix class name (software-horde@interfasys.ch, Bug #11164).


------
v1.2.5
------

[mjr] Fix parsing incoming timezones under certain conditions (Bug #11068).


------
v1.2.4
------

[mjr] Added WP7 devices to the list of devices with broken provisioning.
[mjr] Fix issue that could cause improper timezone handling in events passed
      from device to server in the beginning of a calendar year (Bug #10960).
[mjr] More improvements to security policies and device compatibility.


------
v1.2.3
------

[mjr] Tweak policy defaults. Minor compatibility improvements for
      WAP-Provisioning-XML strings.


------
v1.2.2
------

[mjr] Allow disabling of certain policies.
[mjr] Honor PROVISIONING_LOOSE if the device supports PROVISIONING, but not all
      of our requested policies.
[mjr] Fix issue that could cause PING failure in certain server environments.


------
v1.2.1
------

[mjr] Fix REMOTEWIPE functionality for a number of android and iOS devices.


------
v1.2.0
------

[mjr] Fix sending meeting request emails when creating a meeting.
[mjr] Fix retrieving the body of SENDMAIL requests.
[mjr] Fix parsing birthday strings on certain android 2.2 clients.


-------
v1.1.11
-------

[mjr] Improve support for Android device provisioning.
[mjr] Improve support for timezones in appointments originating on the client.
[mjr] Improve performance when working with timezones on PHP 5.3+


-------
v1.1.10
-------

[mjr] Increase field length for sync_data to support syncing large collections
      (Bug #10822).
[jan] Fix tests to work with PHPUnit 3.6.


------
v1.1.9
------

[mjr] Fix issue with timezones caused by buggy PHP timezone data (Bug #10760).


------
v1.1.8
------

[mjr] Fix duplicate entries being sent to client when client does not issue
      GETCHANGES request (Bug #10731).


------
v1.1.7
------

[jan] Allow to run unit tests from installed package.


------
v1.1.6
------

[mjr] Prevent duplicate incoming message additions (Bug #10644).


------
v1.1.5
------

[mjr] Fix syncing daily recurrence types.
[mjr] Support additional GAL fields (Bug #10504).
[mjr] Prevent broken clients from sending incoming changes with initial SYNC
      request (Bug #10461).


------
v1.1.4
------

[mjr] Fix sending MONTHLY_NTH and YEARLY_NTH recurrence types (Bug# 10416).
[mjr] Fix synchronization loop due to messages being deleted on server then
      attempting a change from the client.


------
v1.1.3
------

[mjr] Fix bug with certain recurrence types due to erroneously outputting a
      zero as an empty tag (Bug# 10416).
[mjr] Support POOMCONTACTS2 schema in AS 2.5 clients also.


------
v1.1.2
------

[mjr] Fix sending unnecessary FOLDERSYNC changes.
[mjr] Fix issue with FOLDERSYNC requests that was causing Android clients to
      PING and SYNC the same collection an unlimited number of times.


------
v1.1.1
------

[mjr] Add missing migration file to package.xml


------
v1.1.0
------

[mjr] Policykey is now per user, not per device
[mjr] use AS in column aliases to make postgres happy (Bug #10346).
[mjr] Prevent a sync loop in some fringe cases.
[mjr] Improve calendar syncing for iOS devices.


------
v1.0.1
------

[mjr] Fix race conditions caused by broken clients sending an inappropriate
      PING request.
[mjr] Fix issue with initial Android pairing


------
v1.0.0
------

First stable release for Horde 4.
[jan] Use Horde_Support_Uuid to generate UUIDs.


---------
v1.0.0RC2
---------

Second release candidate for Horde 4.


---------
v1.0.0RC1
---------

First release candidate for Horde 4.


-----------
v1.0.0beta1
-----------

First beta release for Horde 4.


------------
v1.0.0alpha1
------------

First alpha release for Horde 4.
